import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:ride/controller/home/captin/map_driver_controller.dart';
import 'package:ride/views/widgets/my_scafold.dart';

import '../../../controller/functions/location_controller.dart';
import 'mapDriverWidgets/driver_end_ride_bar.dart';
import 'mapDriverWidgets/google_driver_map_page.dart';
import 'mapDriverWidgets/passenger_info_window.dart';
import 'mapDriverWidgets/sos_connect.dart';

class PassengerLocationMapPage extends StatelessWidget {
  PassengerLocationMapPage({super.key});
  final LocationController locationController = Get.put(LocationController());
  @override
  Widget build(BuildContext context) {
    Get.put(MapDriverController());

    return MyScafolld(
        title: 'Map'.tr,
        body: [
          GoogleDriverMap(locationController: locationController),
          const PassengerInfoWindow(),
          driverEndRideBar(),
          const SosConnect(),
        ],
        isleading: true);
  }
}
